Ignore:
Timestamp:
04/21/2011 04:35:24 PM (11 years ago)
Author:
marcus
Message:

r209 | walther | 2011-04-20 16:09:40 +0200 (Mi, 20 Apr 2011) | 1 line

Included python version check and warning.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • SH_SHM/trunk/setup/setup.py

    r374 r381  
    168168 
    169169if __name__ == "__main__": 
     170    from sys import version_info 
     171    if "%d.%d" % version_info[:2] < '2.5': 
     172        import warnings 
     173        warnings.warn("Your installed python version is to old. This " 
     174                      "software is tested on python 2.5 and higher only!") 
     175 
    170176    from optparse import OptionParser 
    171177    parser = OptionParser() 
Note: See TracChangeset for help on using the changeset viewer.